Get Users List

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve the list of Users.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/users

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following main details:

  • User Id
  • First Name
  • Last Name
  • Email

Request Parameters

To fetch User list, use the provided end point url.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/users

Response

[
    {
        "user_id": 3329,
        "first_name": "Test",
        "last_name": "User",
        "email": "[email protected]"
    },
    {
        "user_id": 9032,
        "first_name": "Gabriel",
        "last_name": "Smith",
        "email": "[email protected]"
    },
    {
        "user_id": 3237,
        "first_name": "Andrea",
        "last_name": "Li Rossi",
        "email": "[email protected]"
    },
  
  //Additional User Details List
  
]  

This example demonstrates a request to fetch the user list. The response includes details such as the User Id, First Name, Last Name, Email.

Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json